Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.function
Interface IntFunction

All Known Implementing Classes:
  AbstractDistribution, RandomEngine

public interface IntFunction

Interface that represents a function object: a function that takes a single argument and returns a single value.

Method Summary
`int` | `apply(int argument)` Applies a function to an argument.

Method Detail

### apply

    public int apply(int argument)

  Applies a function to an argument.

  Parameters:
    `argument` - argument passed to the function.
  Returns:
    the result of the function.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage